Aptinstaller 0.3.2 Released

Do you program ruby on rails? Do you use geminstaller? Do you run Ubuntu?

If you want to pull it all together, read on!

Aptinstaller is heavily influenced by geminstaller. Geminstaller lets you write some YAML like this:
1 --- 2 defaults: 3 install_options: --no-ri --no-rdoc 4 gems: 5 - name: rails 6 version: '= 2.2.2' 7 - name: rubyist-aasm 8 version: '= 2.0.5'
And then your project will check those dependencies when the environment loads to ensure those gems are loaded. Then, you can run "geminstaller" from the root of your project and all those gems will be automatically installed.

Aptinstaller does the same thing, but it uses Apt, which is the Debian package manager found on the popular linux distribution Ubuntu.

You can write YAML like this:
1 --- 2 packages: 3 - name: firefox 4 - name: gnome-terminal
And it will ensure those packages are installed. If they aren't, you can install them automatically by running "aptinstaller" from the root of your project (or by passing it the path).

Aptinstaller is very basic at the moment, but I plan on adding version support and the ability to pass on instructions to the user if they need to build the package themselves. Also, it would be great to include alternate package names for yum, but that may be for a separate gem.

Please let me know if you have any suggestions.

comments powered by Disqus